#ifndef MARS_MEnergyEstimate
#define MARS_MEnergyEstimate

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MData;
class MEnergyEst;

class MEnergyEstimate : public MTask
{
private:
    MData      *fData;    //->
    MEnergyEst *fEnergy;

    Int_t ReadEnv(const TEnv &env, TString prefix, Bool_t print=kFALSE);

public:
    MEnergyEstimate(const char *name=NULL, const char *title=NULL);
    ~MEnergyEstimate();

    Bool_t SetRule(const char *rule);

    Int_t PreProcess(MParList *plist);
    Int_t Process();

    void SetVariables(const TArrayD &);

    ClassDef(MEnergyEstimate, 0) // Task to estimate the energy by a rule
};

#endif

